%define         srcname        osgXR

%define         major          6

%define         libname        %mklibname %{name} %{major}
%define         libdevelname   %mklibname %{name} -d

Name:           osgxr
Summary:        Virtual Reality with OpenXR and OpenSceneGraph
Version:        0.5.3
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/amalon/osgXR
Source0:        https://github.com/amalon/osgXR/archive/refs/tags/%{srcname}-%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  pkgconfig(openscenegraph)
BuildRequires:  pkgconfig(openxr)
BuildRequires:  pkgconfig(openthreads)


%description
This library is to allow Virtual Reality support to be added to
OpenSceneGraph applications, using the OpenXR standard. It is still in
development and contributions welcome.


%package -n %{libname}
Summary:        The osgXR library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This library is to allow Virtual Reality support to be added to
OpenSceneGraph applications, using the OpenXR standard. It is still in
development and contributions welcome.


%package -n %{libdevelname}
Summary:        Development files for the osgXR library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libdevelname}
%{summary}.




%prep
%setup -q -n %{srcname}-%{version}

%autopatch -p1

%build

%cmake

%cmake_build


%install
%cmake_install

%files -n %{libname}
%doc README.md LICENSE.txt
%{_libdir}/libosgXR.so.%{major}{,.*}
%{_libdir}/libosgXR.so.%{version}

%files -n %{libdevelname}
%{_includedir}/osgXR
%{_libdir}/libosgXR.so
%{_libdir}/cmake/osgXR
%{_datadir}/pkgconfig/osgXR.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.5.3-2.mga10
+ Revision: 2222443
- Mageia 10 Mass Rebuild

* Sat May 04 2024 eatdirt <eatdirt> 0.5.3-1.mga10
+ Revision: 2062078
- Update to version 0.5.3

* Fri Dec 09 2022 ghibo <ghibo> 0.5.1-2.mga9
+ Revision: 1919824
- Rebuild against openxr 1.0.26

* Mon Sep 05 2022 eatdirt <eatdirt> 0.5.1-1.mga9
+ Revision: 1884310
- Upgrade to version 0.5.1

* Sun Apr 10 2022 eatdirt <eatdirt> 0.3.8-4.mga9
+ Revision: 1848662
- Fix pkgconfig file

* Sat Apr 09 2022 eatdirt <eatdirt> 0.3.8-3.mga9
+ Revision: 1848348
- Rebuild for new openXR

* Thu Mar 17 2022 umeabot <umeabot> 0.3.8-2.mga9
+ Revision: 1796846
- Mageia 9 Mass Rebuild

* Tue Feb 01 2022 eatdirt <eatdirt> 0.3.8-1.mga9
+ Revision: 1770876
- imported package osgxr

